import { QueryList, AfterContentInit, EventEmitter, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SegmentService } from './segment.service';
import { SegmentButtonComponent } from '../segment-button/segment-button.component';
export declare class SegmentComponent implements ControlValueAccessor, AfterContentInit, OnDestroy {
    private segmentService;
    options: QueryList<SegmentButtonComponent>;
    uiChange: EventEmitter<string>;
    selectedIndex: number;
    value: any;
    private onChange;
    private onTouched;
    private defaultOption;
    private sub;
    constructor(segmentService: SegmentService);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
